$base-font-size: 16px;

$font-primary: 'Oswald';
$font-secondary: 'Playfair Display';
$base-font: $font-primary, 'Fira Sans', 'Source Sans Pro', 'Open Sans', 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;

$color-font: $color-black;
$color-font-inverse: $color-white;

$font-size: clamp($base-font-size, calc(.8rem + .35vw), rem(20));

$font-weight-light: 'wght' 300;
$font-weight: 'wght' 400;
$font-weight-medium: 'wght' 500;
$font-weight-bold: 'wght' 700;

h1 {
  font-size: clamp(32px, 3.125vw, rem(60));
  font-variation-settings: $font-weight-bold;
  margin: 0;
}

h2 {
  font-size: clamp(24px, 2.344vw, rem(45));
  font-variation-settings: $font-weight-bold;
}

h3 {
  font-size: clamp(20px, 1.563vw, rem(30));
  font-variation-settings: $font-weight-bold;
}

%letter-spacing {
  letter-spacing: .05em;
}
